color_space_YCoCg.hpp File Reference

Go to the source code of this file.

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rgb2YCoCg (vec< 3, T, Q > const &rgbColor)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rgb2YCoCgR (vec< 3, T, Q > const &rgbColor)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | YCoCg2rgb (vec< 3, T, Q > const &YCoCgColor)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | YCoCgR2rgb (vec< 3, T, Q > const &YCoCgColor)

## Detailed Description

GLM_GTX_color_space_YCoCg

See also
  Core features (dependence)

Definition in file color_space_YCoCg.hpp.